> ## Documentation Index
> Fetch the complete documentation index at: https://docs.viggle.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Motion

> Delete one Motion owned by the current account.

`DELETE /v1/motions/{motion_id}` permanently deletes a Motion. It can no longer be used in a Render.

## Request parameters

| Parameter   | Type   | Required | Description                           |
| ----------- | ------ | :------: | ------------------------------------- |
| `motion_id` | string |    Yes   | Full Motion ID beginning with `mot_`. |

## Response parameters

Returns `200 OK`.

| Field    | Type   | Always present | Description                            |
| -------- | ------ | :------------: | -------------------------------------- |
| `status` | string |       Yes      | `deleted` after the Motion is removed. |

```json theme={null}
{"status":"deleted"}
```

## Examples

<CodeGroup>
  ```go Go theme={null}
  req, _ := http.NewRequest("DELETE", "https://apis.viggle.ai/v1/motions/mot_456def", nil); req.Header.Set("Authorization", "Bearer "+os.Getenv("VIGGLE_API_KEY")); resp, err := http.DefaultClient.Do(req); if err != nil { panic(err) }; defer resp.Body.Close()
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://apis.viggle.ai/v1/motions/mot_456def", {method:"DELETE",headers:{Authorization:`Bearer ${process.env.VIGGLE_API_KEY}`}}); const result=await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response=requests.delete("https://apis.viggle.ai/v1/motions/mot_456def",headers={"Authorization":f"Bearer {os.environ['VIGGLE_API_KEY']}"}); response.raise_for_status(); result=response.json()
  ```

  ```bash cURL theme={null}
  curl -X DELETE "https://apis.viggle.ai/v1/motions/mot_456def" -H "Authorization: Bearer $VIGGLE_API_KEY"
  ```
</CodeGroup>


## OpenAPI

````yaml DELETE /v1/motions/{motion_id}
openapi: 3.0.3
info:
  title: Viggle API
  description: Generate AI-powered character animation videos
  version: 2.0.0
  contact:
    name: Viggle Support
    url: https://viggle.ai
servers:
  - url: https://apis.viggle.ai
    description: Production server
security: []
paths:
  /v1/motions/{motion_id}:
    delete:
      summary: Delete Motion
      operationId: v1DeleteMotion
      responses:
        '200':
          description: Deleted

````